Subject: Problem while LAC using different Source Port

From: "Nash" <[email-masked]>
Date: Fri, 23 Nov 2001 21:52:02 +0530

Hi All,

    I have a problem with Win 2k LNS.

    Iam trying to initiate a Tunnel from a LAC Implementation which
chooses free available port(different from 1701) for initiating tunnels.
Tunnel is being initiated to Win 2k LNS.

    The flow of pkts being exchanged are as follows:

1.  LAC --> LNS.  SCCRQ from  port (say) 3000  to port 1701.
2.  LNS --->LAC.  ZLB ack from port 1701 to port 3000.
3.  LNS --->LAC.  SCCRP from port 1701 to port 3000.
4.  LAC --->LNS.  SCCCN from port 3000 to port 1701.
5.  LNS ---> LAC.  ZLB ack from port 1701 to port 1701.
6.  LNS ---> LAC.  Hello msg from port 1701 to port 1701.

   Win2k LNS is sending ZLB ack (for SCCCN) and further
messages on the tunnel to port 1701 and not to port 3000.

  Is it correct?  or should the messages be sent to port 3000?

  But in RFC 2661 section 8.1, it is mentioned that " Once the source and
destination ports and addresses are established, they MUST remain static
 for the life of the tunnel".

 Thanks in advance
-Nash